-- display
vim.opt.showmode = true -- show editing mode
vim.opt.title = true -- custom title
vim.opt.number = true -- display line numbers
vim.opt.lazyredraw = true

-- spellcheck
vim.opt.spelllang = en_ca
vim.opt.spellsuggest = best,9

-- case-insensitive search except when using capitals
vim.opt.ignorecase = true
vim.opt.smartcase = true

-- miscellaneous
vim.opt.confirm = true -- ask to save before failed command
vim.opt.cmdheight = 2 -- set command window height to 2 lines

-- indentation
vim.opt.shiftwidth = 4
vim.opt.tabstop = 4

-- automatically switch buffer name when target file isn't read/write-able
vim.g.suda_smart_edit = 1

-- CHADtree
vim.keymap.set('n', 'f', '<cmd>CHADopen<cr>')

-- AngryReviewer
vim.g.AngryReviewerEnglish = 'american'
vim.keymap.set('n', 'ar', '<cmd>AngryReviewer<cr>')

require("latex")
require("plugins")
require("format")
require("plugins/statusline")
require("plugins/catppuccin")
require("plugins/FRC")
require("plugins/lsp")

require'colorizer'.setup()
