-- automatically compile new plugins
vim.cmd([[
	augroup packer_user_config
    autocmd!
	autocmd BufWritePost plugins.lua source <afile> | PackerCompile
	augroup end
]])

return require('packer').startup(function(use)
	-- Packer can manage itself
	use 'wbthomason/packer.nvim'

	-- Catppuccin theme
	use { "catppuccin/nvim", as = "catppuccin" }

	-- Statusline
	use {
		'nvim-lualine/lualine.nvim',
		requires = { 'kyazdani42/nvim-web-devicons', opt = true }
	}

	-- Treesitter
	use {
		'nvim-treesitter/nvim-treesitter',
		run = ':TSUpdate'
    }

	-- Fuzzy finder
	use {
		'junegunn/fzf',
		run = 'fzf#install()'
	}
	use 'junegunn/fzf.vim'

	-- Easy commenting
	use 'tpope/vim-commentary'

	-- git decorations
	use {
		'lewis6991/gitsigns.nvim',
		config = function()
		require('gitsigns').setup()
		end
	}

	-- File explorer
	use {
		'ms-jpq/chadtree', branch = 'chad',
		run = '!python3 -m chadtree deps'
	}
	use {'is0n/fm-nvim'}

	-- Angry reviewer
	use 'anufrievroman/vim-angry-reviewer'

	-- Sudo
	use 'lambdalisue/suda.vim'

	-- git
	use 'tpope/vim-fugitive'

	-- LSP
	use 'neovim/nvim-lspconfig'
	use 'simrat39/rust-tools.nvim'

	-- coq
	use {
		'ms-jpq/coq_nvim', branch = 'coq'
	}
	use {
		'ms-jpq/coq.artifacts', branch = 'artifacts'
	}
	use {
		'ms-jpq/coq.thirdparty', branch = '3p'
	}

	-- colorizer
	use 'norcalli/nvim-colorizer.lua'

end)

